Debian Bug report logs - #697671
ITP: libwebsockets -- C Websockets Server Library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Tue, 8 Jan 2013 09:33:02 UTC

Owned by: Peter Pentchev <roam@ringlet.net>

Severity: wishlist

Fixed in version libwebsockets/1.2.2-1

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-mentors@lists.debian.org, debian-devel@lists.debian.org, andy.green@linaro.org, wnpp@debian.org:
Bug#697671; Package wnpp. (Tue, 08 Jan 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to debian-mentors@lists.debian.org, debian-devel@lists.debian.org, andy.green@linaro.org, wnpp@debian.org. (Tue, 08 Jan 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libwebsockets -- C Websockets Server Library
Date: Tue, 08 Jan 2013 10:29:57 +0100
Package: wnpp
Severity: wishlist

* Package name    : libwebsockets
  Version         : 0.5+git
  Upstream Author : Andy Green <andy.green@linaro.org>
* URL             : http://git.warmcat.com/cgi-bin/cgit/libwebsockets
* License         : LGPL-1.2
  Programming Lang: C
  Description     : C Websockets Server Library

This is a C implementation of the websockets protocol:
http://tools.ietf.org/html/rfc6455

I don't want to package this library myself but I might be able to sponsor
it if someone is volunteering to do it. I'm thus ccing debian-mentors and
debian-devel in the hope to find someone interested to package it.

Note: there's also a fork at https://github.com/davidgaleano/libwebsockets
I don't know which version should be best packaged. I favor the original
one unless we find good reasons to use the other one.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697671; Package wnpp. (Mon, 04 Feb 2013 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Feb 2013 14:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 697671@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Raphaël Hertzog <hertzog@debian.org>, 697671@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#697671: RFP: libwebsockets -- C Websockets Server Library
Date: Mon, 4 Feb 2013 16:23:39 +0200
[Message part 1 (text/plain, inline)]
retitle 697671 ITP: libwebsockets -- C Websockets Server Library
owner 697671 !
thanks

On Tue, Jan 08, 2013 at 10:29:57AM +0100, Raphaël Hertzog wrote:
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : libwebsockets
>   Version         : 0.5+git
>   Upstream Author : Andy Green <andy.green@linaro.org>
> * URL             : http://git.warmcat.com/cgi-bin/cgit/libwebsockets
> * License         : LGPL-1.2
>   Programming Lang: C
>   Description     : C Websockets Server Library
> 
> This is a C implementation of the websockets protocol:
> http://tools.ietf.org/html/rfc6455
> 
> I don't want to package this library myself but I might be able to sponsor
> it if someone is volunteering to do it. I'm thus ccing debian-mentors and
> debian-devel in the hope to find someone interested to package it.
> 
> Note: there's also a fork at https://github.com/davidgaleano/libwebsockets
> I don't know which version should be best packaged. I favor the original
> one unless we find good reasons to use the other one.

I'll try to take a look at it, it looks interesting.  I'm not really
sure how I missed that e-mail a month ago.

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org p.penchev@storpool.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint 2EE7 A7A5 17FC 124C F115  C354 651E EFB0 2527 DF13
I am the thought you are now thinking.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libwebsockets -- C Websockets Server Library' from 'RFP: libwebsockets -- C Websockets Server Library' Request was from Peter Pentchev <roam@ringlet.net> to control@bugs.debian.org. (Mon, 04 Feb 2013 14:33:07 GMT) Full text and rfc822 format available.

Owner recorded as Peter Pentchev <roam@ringlet.net>. Request was from Peter Pentchev <roam@ringlet.net> to control@bugs.debian.org. (Mon, 04 Feb 2013 14:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#697671; Package wnpp. (Mon, 04 Feb 2013 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Mon, 04 Feb 2013 16:18:03 GMT) Full text and rfc822 format available.

Message #19 received at 697671@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: 697671@bugs.debian.org
Subject: Re: Bug#697671: RFP: libwebsockets -- C Websockets Server Library
Date: Mon, 4 Feb 2013 17:14:04 +0100
Hi Peter,

just a few more infos:

On Mon, 04 Feb 2013, Peter Pentchev wrote:
> > * URL             : http://git.warmcat.com/cgi-bin/cgit/libwebsockets

There's a new dedicated website: http://libwebsockets.org

> > Note: there's also a fork at https://github.com/davidgaleano/libwebsockets
> > I don't know which version should be best packaged. I favor the original
> > one unless we find good reasons to use the other one.

Most of the important stuff got merged in the original libwebsockets so I
would not consider packaging the fork.

> I'll try to take a look at it, it looks interesting.

Great, thank you for your contribution to Debian!

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697671; Package wnpp. (Mon, 04 Feb 2013 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Feb 2013 23:12:03 GMT) Full text and rfc822 format available.

Message #24 received at 697671@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 697671@bugs.debian.org
Subject: Re: Bug#697671: RFP: libwebsockets -- C Websockets Server Library
Date: Tue, 5 Feb 2013 01:09:06 +0200
[Message part 1 (text/plain, inline)]
On Mon, Feb 04, 2013 at 05:14:04PM +0100, Raphael Hertzog wrote:
> Hi Peter,
> 
> just a few more infos:
> 
> On Mon, 04 Feb 2013, Peter Pentchev wrote:
> > > * URL             : http://git.warmcat.com/cgi-bin/cgit/libwebsockets
> 
> There's a new dedicated website: http://libwebsockets.org
> 
> > > Note: there's also a fork at https://github.com/davidgaleano/libwebsockets
> > > I don't know which version should be best packaged. I favor the original
> > > one unless we find good reasons to use the other one.
> 
> Most of the important stuff got merged in the original libwebsockets so I
> would not consider packaging the fork.
> 
> > I'll try to take a look at it, it looks interesting.
> 
> Great, thank you for your contribution to Debian!

Yep, I guess I forgot to mention here that I actually saw your Planet
Debian post about it, so I was aware of both the original website and
the renewed collaboration between the original author and the one who
forked the project.

Nah, thank *you* for all your work on and related to Debian!

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org p.penchev@storpool.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint 2EE7 A7A5 17FC 124C F115  C354 651E EFB0 2527 DF13
This sentence contains exactly threee erors.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 13 May 2013 08:06:10 GMT) Full text and rfc822 format available.

Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Wed, 29 May 2013 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 29 May 2013 13:03:09 GMT) Full text and rfc822 format available.

Message #31 received at 697671-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 697671-close@bugs.debian.org
Subject: Bug#697671: fixed in libwebsockets 1.2.2-1
Date: Wed, 29 May 2013 13:00:09 +0000
Source: libwebsockets
Source-Version: 1.2.2-1

We believe that the bug you reported is fixed in the latest version of
libwebsockets, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated libwebsockets package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Mar 2013 19:10:28 +0200
Source: libwebsockets
Binary: libwebsockets3 libwebsockets-dev libwebsockets3-dbg libwebsockets-test-server
Architecture: source amd64
Version: 1.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 libwebsockets-dev - lightweight C websockets library - development files
 libwebsockets-test-server - lightweight C websockets library - test servers
 libwebsockets3 - lightweight C websockets library
 libwebsockets3-dbg - lightweight C websockets library - debug symbols
Closes: 697671
Changes: 
 libwebsockets (1.2.2-1) unstable; urgency=low
 .
   * Initial release (closes: #697671).
Checksums-Sha1: 
 a45915506adb6b4adb79cc1310a1c233922bec9e 1544 libwebsockets_1.2.2-1.dsc
 6a4e0b8c4a2353d6e363664e0bbdca66f331266d 326913 libwebsockets_1.2.2.orig.tar.gz
 da76d9c2c2aac474ee935b96981217122caaa9c5 11198 libwebsockets_1.2.2-1.debian.tar.gz
 016a13e4bd1983440a640c8678d8e89ca72cdf33 43768 libwebsockets3_1.2.2-1_amd64.deb
 e09352d43f87cec62526a1782c08f9aebed4d664 86930 libwebsockets-dev_1.2.2-1_amd64.deb
 b47ccfeaafc8c0e248cc3dc87e94bbfc8927f174 225114 libwebsockets3-dbg_1.2.2-1_amd64.deb
 bb92afb4164770d3b20867ea96d6a3f1435bbf5f 46056 libwebsockets-test-server_1.2.2-1_amd64.deb
Checksums-Sha256: 
 24201abd94b78f9171163f6a200568e93b34355ef2ed0884c07a852c43468793 1544 libwebsockets_1.2.2-1.dsc
 82e4e92640384422e59337d09505c2d1e2f1efd0c037f228117445d4e6096fe8 326913 libwebsockets_1.2.2.orig.tar.gz
 ca19b9c52d3d0281f9f61d065f32e03d57f3167c834ac4038fe8fe7ceb58da56 11198 libwebsockets_1.2.2-1.debian.tar.gz
 092d5eeb73d3e275ca9fdb1f0a52526ac91bd9fe0bb3c22b04b1da3213fe38bc 43768 libwebsockets3_1.2.2-1_amd64.deb
 80f85ae971b1a2cf48142b1e5e0807384df223a4d01159346a8d392a2b00b478 86930 libwebsockets-dev_1.2.2-1_amd64.deb
 558a147cb5e2221baf58664d43c218d73cd98d670cf201fd2c00c965c636babe 225114 libwebsockets3-dbg_1.2.2-1_amd64.deb
 4b7b3c44ebd7cbbdefacd2e89f5fef83d331d2374c7fddfd833b464a781095be 46056 libwebsockets-test-server_1.2.2-1_amd64.deb
Files: 
 1b8ef542cd07f8500443756740819dbd 1544 libs optional libwebsockets_1.2.2-1.dsc
 4ed5926fc5de2e34d0e70792f28fdcc8 326913 libs optional libwebsockets_1.2.2.orig.tar.gz
 cc5d5818040783054442ffedad34253d 11198 libs optional libwebsockets_1.2.2-1.debian.tar.gz
 f6be1ada302a1b71e2565e13daad5ef1 43768 libs optional libwebsockets3_1.2.2-1_amd64.deb
 bbf24a1f3386486044e298fb7259cd5d 86930 libdevel optional libwebsockets-dev_1.2.2-1_amd64.deb
 c7d334600665ef9ecb5e96a69ab785d2 225114 debug extra libwebsockets3-dbg_1.2.2-1_amd64.deb
 a2fe1145edb2841bbe07af9171e0dd34 46056 utils optional libwebsockets-test-server_1.2.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGQeagACgkQMDatjqUaT93d4gCdHXvoC0sTQK3q6FREuLwE1uyo
4LcAn11rIhQLgAIJ2BSacA/gS3pLYFun
=t43q
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:19:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.